# $Revision: 1.23 $, $Date: 2011/07/18 12:09:16 $
%define		ocaml_ver	1:3.09.2
Summary:	Polimorphic XML Parser for OCaml
Summary(pl.UTF-8):	Polimorficzny analizator składniowy XML-a dla OCamla
Name:		ocaml-pxp
Version:	1.2.2
Release:	1
License:	distributable
Group:		Libraries
Source0:	http://download.camlcity.org/download/pxp-%{version}.tar.gz
# Source0-md5:	45ffb1cca15435ea95c613e38c20239c
URL:		http://www.ocaml-programming.de/programming/pxp.html
BuildRequires:	ocaml >= %{ocaml_devel}
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-ocamldoc-devel
BuildRequires:	ocaml-net-netstring-devel >= 1.1.1-2
BuildRequires:	ocaml-ulex
BuildRequires:	sed >= 4.0
%requires_eq	ocaml-ulex
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PXP is a validating parser for XML 1.0 which has been written entirely
in Objective Caml.

PXP means "Polymorphic XML Parser" and emphasizes its most useful
property: that the API is polymorphic and can be configured such that
different objects are used to store different types of elements.

%description -l pl.UTF-8
PXP jest walidującym analizatorem składniowym XML-a 1.0, napisanym w
całości w OCamlu.

PXP oznacza "Polymorphic XML Parser" (polimorficzny analizator
składniowy XML-a), co podkreśla jego najbardziej użyteczną własność:
API jest polimorficzne i może być skonfigurowane tak, że różne obiekty
są używane do przechowywania różnych typów elementów.

%package devel
Summary:	Polimorphic XML Parser for OCaml - development part
Summary(pl.UTF-8):	Polimorficzny analizator składniowy XML-a dla OCamla - cześć programistyczna
Group:		Development/Libraries
%requires_eq	ocaml
%requires_eq	ocaml-net-netstring-devel
%requires_eq	ocaml-wlex-devel

%description devel
PXP is a validating parser for XML 1.0 which has been written entirely
in Objective Caml.

PXP means "Polymorphic XML parser" and emphasizes its most useful
property: that the API is polymorphic and can be configured such that
different objects are used to store different types of elements.

This package contains files needed to develop OCaml programs using the
PXP library.

%description devel -l pl.UTF-8
PXP jest walidującym analizatorem składniowym XML-a 1.0, napisanym w
całości w OCamlu.

PXP oznacza "Polymorphic XML Parser" (polimorficzny analizator
składniowy XML-a), co podkreśla jego najbardziej użyteczną własność:
API jest polimorficzne i może być skonfigurowane tak, że różne obiekty
są używane do przechowywania różnych typów elementów.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
biblioteki PXP.

%prep
%setup -q -n pxp-%{version}

%build
./configure \
	-with-lex \
	-with-ulex \
	-without-wlex \
	-with-pp

sed -i -e 's/-g//' Makefile.rules
%{__make} -j1 \
	all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib,pxp}
OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib %{__make} install
dir=`pwd`
cd $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib
for f in * ; do
	echo 'directory = "+pxp"' >> $f/META
	if [ "`echo $f/*.*`" != "$f/*.*" ]; then
		mv $f/*.* $RPM_BUILD_ROOT%{_libdir}/ocaml/pxp
	fi
done
cd $dir
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/pxp/*.{o,mli}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc doc/DEV doc/README doc/SPEC
%doc doc/design.txt doc/manual/html
%dir %{_libdir}/ocaml/pxp
%{_libdir}/ocaml/pxp/*
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-pxp.spec,v $
Revision 1.23  2011/07/18 12:09:16  baggins
- 1.2.2
- use ulex instead of outdated and umnaintained wlex

Revision 1.22  2011/07/18 08:13:50  baggins
- release 11

Revision 1.21  2009/04/18 17:50:35  areq
- rel 10

Revision 1.20  2008/07/10 20:26:17  megabajt
- release 9

Revision 1.19  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.17  2006/05/31 12:55:02  glen
- rel 8 (rebuild with ocaml-3.09.2)

Revision 1.16  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.15  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.14  2005/12/30 12:30:12  baggins
- rel 5
- BR ocaml-netclient 1.1.1

Revision 1.13  2005/12/28 12:03:49  baggins
- rel 4
- rebuild with new ocaml-netstring

Revision 1.12  2005/12/10 18:48:04  baggins
- release 3 for ocaml 3.09.0

Revision 1.11  2004/09/08 09:35:41  darekr
- updated to 1.1.6
- fix %doc

Revision 1.10  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.9  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.8  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/29 12:04:33  malekith
- up to 1.1.5

Revision 1.6  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/22 17:30:13  jajcus
- Release: 3
- %%install and %%files changed, so rpm doesn't complain about unlisted files
- *.cmo files included in the package --- they are needed for linking programs using PXP

Revision 1.3  2002/05/21 12:46:49  malekith
- better descriptions
- rel 2
- new %%doc packing stuff

Revision 1.2  2002/05/14 11:40:16  qboosh
- added description to main package (for srpm)

Revision 1.1  2002/05/13 11:39:11  malekith
- initial; from scratch
